<template>
  <q-page padding>
    <q-tabs
      v-model="tab"
      dense
      class="text-grey"
      active-color="primary"
      indicator-color="primary"
      align="justify"
      narrow-indicator
    >
      <q-tab name="active" label="Текущие" />
      <q-tab name="unpaid" label="Не оплачены" />
      <q-tab name="done" label="Завершены" />
    </q-tabs>

    <q-separator />

    <q-tab-panels v-model="tab" animated>
      <q-tab-panel name="active">
        <q-list bordered>
          <q-item
            v-for="contact in contacts"
            :key="contact.id"
            v-ripple
            class="q-my-sm"
            clickable
          >
            <q-item-section avatar>
              <q-avatar color="primary" text-color="white">
                {{ contact.letter }}
              </q-avatar>
            </q-item-section>

            <q-item-section>
              <q-item-label>{{ contact.name }}</q-item-label>
              <q-item-label caption lines="1">
                {{ contact.email }}
              </q-item-label>
            </q-item-section>

            <q-item-section side>
              <q-icon name="chat_bubble" color="green" />
            </q-item-section>
          </q-item>
        </q-list>
      </q-tab-panel>

      <q-tab-panel name="unpaid">
        <q-list bordered>
          <q-item
            v-for="contact in contacts"
            :key="contact.id"
            v-ripple
            class="q-my-sm"
            clickable
          >
            <q-item-section avatar>
              <q-avatar color="primary" text-color="white">
                {{ contact.letter }}
              </q-avatar>
            </q-item-section>

            <q-item-section>
              <q-item-label>{{ contact.name }}</q-item-label>
              <q-item-label caption lines="1">
                {{ contact.email }}
              </q-item-label>
            </q-item-section>

            <q-item-section side>
              <q-icon name="chat_bubble" color="green" />
            </q-item-section>
          </q-item>
        </q-list>
      </q-tab-panel>

      <q-tab-panel name="done"> Тут ещё ничего нет </q-tab-panel>
    </q-tab-panels>
  </q-page>
</template>

<script>
export default {
  name: 'Orders',
  data() {
    return {
      tab: 'active',
      contacts: [
        {
          id: 1,
          name: 'ИТС, ООО',
          email: 'Установка котла',
          letter: '10',
        },
        {
          id: 2,
          name: 'Рогозин Иван',
          email: 'Чистка канализации',
          letter: '5',
        },
        {
          id: 3,
          name: 'Газпром, ОАО',
          email: 'Чистка труб',
          letter: '66',
        },
        {
          id: 4,
          name: 'Женя Плюшкина, ИП',
          email: 'Заезжай на чай',
          letter: '-1',
        },
      ],
    }
  },
}
</script>
